groovy.lang

## Class Tuple

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList
    - - groovy.lang.Tuple

- All Implemented Interfaces:
    java.lang.Iterable, java.util.Collection, java.util.List

      public class Tuple
      extends java.util.AbstractList

  Represents a list of Integer objects from a specified int up to but not including a given and to.

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuple(java.lang.Object[] contents)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(Tuple that)`
    `java.lang.Object` | `get(int index)`
    `int` | `hashCode()`
    `int` | `size()`
    `java.util.List` | `subList(int fromIndex, int toIndex)`

    - ### Methods inherited from class java.util.AbstractList

      `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### Tuple

          public Tuple(java.lang.Object[] contents)

  - ### Method Detail

    - #### get

          public java.lang.Object get(int index)

      Specified by:
        `get` in interface `java.util.List`
      Specified by:
        `get` in class `java.util.AbstractList`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection`
      Specified by:
        `size` in interface `java.util.List`
      Specified by:
        `size` in class `java.util.AbstractCollection`

    - #### equals

          public boolean equals(java.lang.Object that)

      Specified by:
        `equals` in interface `java.util.Collection`
      Specified by:
        `equals` in interface `java.util.List`
      Overrides:
        `equals` in class `java.util.AbstractList`

    - #### equals

          public boolean equals(Tuple that)

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Collection`
      Specified by:
        `hashCode` in interface `java.util.List`
      Overrides:
        `hashCode` in class `java.util.AbstractList`

    - #### subList

          public java.util.List subList(int fromIndex,
                               int toIndex)

      Specified by:
        `subList` in interface `java.util.List`
      Overrides:
        `subList` in class `java.util.AbstractList`